{
    "name": "若依移动端",
    "appid": "__UNI__1863D69",
    "description": "",
    "versionName": "1.2.0",
    "versionCode": "100",
    "transformPx": false,
    "app-plus": {
        "usingComponents": true,
        "nvueCompiler": "uni-app",
        "splashscreen": {
            "alwaysShowBeforeRender": true,
            "waiting": true,
            "autoclose": true,
            "delay": 0
        },
        "modules": {},
        "distribute": {
            "android": {
                "permissions": [
                    "<uses-permission android:name=\"android.permission.CHANGE_NETWORK_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.MOUNT_UNMOUNT_FILESYSTEMS\"/>",
                    "<uses-permission android:name=\"android.permission.VIBRATE\"/>",
                    "<uses-permission android:name=\"android.permission.READ_LOGS\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_WIFI_STATE\"/>",
                    "<uses-feature android:name=\"android.hardware.camera.autofocus\"/>",
                    "<uses-permission android:name=\"android.permission.ACCESS_NETWORK_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.CAMERA\"/>",
                    "<uses-permission android:name=\"android.permission.GET_ACCOUNTS\"/>",
                    "<uses-permission android:name=\"android.permission.READ_PHONE_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.CHANGE_WIFI_STATE\"/>",
                    "<uses-permission android:name=\"android.permission.WAKE_LOCK\"/>",
                    "<uses-permission android:name=\"android.permission.FLASHLIGHT\"/>",
                    "<uses-feature android:name=\"android.hardware.camera\"/>",
                    "<uses-permission android:name=\"android.permission.WRITE_SETTINGS\"/>"
                ]
            },
            "ios": {
                "dSYMs": false
            },
            "sdkConfigs": {}
        }
    },
    "quickapp": {},
    "mp-weixin": {
        "appid": "wxccd7e2a0911b3397",
        "setting": {
            "urlCheck": false,
            "es6": false,
            "minified": true,
            "postcss": true
        },
        "optimization": {
            "subPackages": true
        },
        "usingComponents": true
    },
    "vueVersion": "3",
    "h5": {
        "template": "static/index.html",
		"publicPath": "/h5/",  // 关键修改：改为 /h5/，不是 ./
		"router": {
		            "mode": "history",  // 或 "hash"
		            "base": "/h5/"      // 关键修改：设置为 /h5/
		        }
        // "devServer" : {
        //     "port" : 30088,
        //     "https" : false,
        //     "proxy": {
        //         "/prod-api":{
        //             "target" : "http://106.15.139.36:18090",
        //             "changeOrigin" : true,
        //             "secure" : false,
        //             "pathRewrite" : {
        //                 "^/prod-api" : "/"
        //             },
        //             "headers" : {
        //                 "Origin" : "http://106.15.139.36:18090",
        //                 "Referer" : "http://106.15.139.36:18090"
        //             }
        //         }
        //     }
    },
    "title": "RuoYi-App",
    "router": {
        "mode": "hash",
        "base": "/h5/"         // 这里也要改
    }
}
}
